Bug 79673 - security/apg incorrectly depends on ${LOCALBASE}/lib/crack.a when WITH_CRACKLIB is defined
Summary: security/apg incorrectly depends on ${LOCALBASE}/lib/crack.a when WITH_CRACKL...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Peter Pentchev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-08 08:20 UTC by Vasil Dimov
Modified: 2005-07-04 12:28 UTC (History)
0 users

See Also:


Attachments
Makefile.patch (351 bytes, patch)
2005-04-08 08:20 UTC, Vasil Dimov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vasil Dimov 2005-04-08 08:20:03 UTC
If security/cracklib is already installed on the system then security/apg
fails to build with WITH_CRACKLIB turned on because apg depends on file
/usr/local/lib/crack.a which is not installed by cracklib. Instead
/usr/local/lib/libcrack.a is installed and apg should depend on it.

How-To-Repeat: pkg_delete -f /var/db/pkg/apg-*
pkg_delete -f /var/db/pkg/cracklib-*
cd /usr/ports/security/cracklib && make install clean
cd /usr/ports/security/apg && make WITH_CRACKLIB=yes

an attempt is made to install cracklib again, coz apg considers it is not
installed when /usr/local/lib/crack.a does not exist.
Comment 1 Volker Stolz freebsd_committer 2005-04-08 14:02:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->roam

Over to maintainer
Comment 2 Peter Pentchev freebsd_committer 2005-07-04 12:27:47 UTC
State Changed
From-To: open->closed

Actually, this would still not be enough, since apg links to the dynamic 
libcrack.so now.  I've moved the library from BUILD_DEPENDS to LIB_DEPENDS. 
Thanks for pointing out the problem!